<?xml version="1.0" encoding="ISO-2022-JP"?> <!-- -*- html -*- -->

<!-- $NetBSD: netbsd-webpage-ja.xsl,v 1.1 2005/04/03 22:55:16 heinz Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:html="http://www.w3.org/1999/xhtml"
		version="1.0">

  <xsl:output method="html" encoding="iso-2022-jp" />

  <xsl:param name="locale.backto">Back to </xsl:param>

  <xsl:include href="http://www.NetBSD.org/XML/htdocs/share/xsl/netbsd-webpage.xsl" />

  <xsl:template name="dingbat.characters">
    <!-- now that I'm using the real serializer, all that dingbat malarky -->
    <!-- isn't necessary anymore... -->
    <xsl:param name="dingbat">bullet</xsl:param>
    <xsl:choose>
      <xsl:when test="$dingbat='bullet'">&#8226;</xsl:when>
      <xsl:when test="$dingbat='copyright'"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>copy;</xsl:when>
      <xsl:when test="$dingbat='trademark'">&#8482;</xsl:when>
      <xsl:when test="$dingbat='trade'">&#8482;</xsl:when>
      <xsl:when test="$dingbat='registered'">&#174;</xsl:when>
      <xsl:when test="$dingbat='service'">(SM)</xsl:when>
      <xsl:when test="$dingbat='nbsp'">&#160;</xsl:when>
      <xsl:when test="$dingbat='ldquo'">&#8220;</xsl:when>
      <xsl:when test="$dingbat='rdquo'">&#8221;</xsl:when>
      <xsl:when test="$dingbat='lsquo'">&#8216;</xsl:when>
      <xsl:when test="$dingbat='rsquo'">&#8217;</xsl:when>
      <xsl:when test="$dingbat='em-dash'">&#8212;</xsl:when>
      <xsl:when test="$dingbat='mdash'">&#8212;</xsl:when>
      <xsl:when test="$dingbat='en-dash'">&#8211;</xsl:when>
      <xsl:when test="$dingbat='ndash'">&#8211;</xsl:when>
      <xsl:otherwise>
	<xsl:text>&#8226;</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
